#8 Service Window displays incorrect information

closed-fixed
Roger
Function (17)
5
2009-11-26
2009-11-17
No

In "ServiceWindow" on the Advertisements tab, there's an overview of active service windows for a particular machine. However, this isn't calculated(/displayed) properly:
In SCCM the service window is set as followed:
Effective Date: 10/1/2009
Start: 1:00:00
End: 1:05:00
UTC: off
Recurrence pattern: Monthly
Recur every: 1 months
The: third thursday
This schedule applies only to..: off

In SCCM Client Center, the following is displayed:
Activation Date: 10/1/2009 1:00:00
NextStart: 12/17/2009 1:00:00
EndTime: 12/17/2009 1:05:00
DayDuration: 0
HourDuration: 0
MinuteDuration: 5
ScheduleType: RecurMonthlyByWeekday

The problem appears in NextStart and EndTime. NextStart should be: 11/17/2009 1:00:00 and EndTime should be: 11/17/2009 1:05:00.

To verify the problem doesn't exist on the machine(s), I verified SCCM ServiceWindowManager.log to see what arrives at the machine:

CServiceWindowManager::OnPolicyChange- Policy__InstanceModificationEvent notification received
New Service Window Policy notification received
..
Populating instance of ServiceWindow with ID={IDGOESHERE}, scheduleString=0021A9C500251600, Type=1
StarTime is 19-11-2009 1:00:00
Duration for Service Window is Total days: 0, hours: 00, mins: 05, secs: 00

So the service window is arriving at the machines alright, it's just not being displayed in SCCM Client Center properly.
This issue arose on multiple service windows in multiple SCCM sites. It seems this problem only appears during the schedule type RecurMonthlyByWeekday.

Discussion

  • Roger

    Roger - 2009-11-17

    Thanks for Reporting this Issue. I remember that this was in Issue in some of the previous versions. Can you please confirm that you have the latest Version ( >= 2.0.1.9 ) ? Otherwise you can download the update from here: <http://smsclictr.sourceforge.net/update/>. I will check if I can reproduce the Issue with the Schedule string you have provided.

     
  • Roger

    Roger - 2009-11-17
    • status: open --> pending
     
  • Jeroen Erkelens

    Jeroen Erkelens - 2009-11-17

    Rzander,

    I have version: 2.0.3400.37885 (a collegue has the same issue on .39526 (x64)). .37885 is x86.

    If there's anything I can do to help, let me know!

     
  • Jeroen Erkelens

    Jeroen Erkelens - 2009-11-17
    • status: pending --> open
     
  • Jeroen Erkelens

    Jeroen Erkelens - 2009-11-17

    Just noticed the systray says 2.0.1.0. I'll try the latest version!

     
  • Jeroen Erkelens

    Jeroen Erkelens - 2009-11-17

    Just upgraded to 2.0.1.9 (which is properly displayed at the splash screen and in the programs systray). However, the problem I described still persists.

     
  • Roger

    Roger - 2009-11-17

    I can reproduce the Issue also in Version 2.0.1.9. So it's a bug and I will try to fix it as soon as possible.

    Thanks

     
  • Jeroen Erkelens

    Jeroen Erkelens - 2009-11-17

    Rzander,

    Thanks for the investigation and good luck!
    Again, if you need anything, like testing, just shout!

     
  • Roger

    Roger - 2009-11-17
    • status: open --> pending-fixed
     
  • Roger

    Roger - 2009-11-17

    Fixed In SVN Rev. 354 (<http://smsclictr.svn.sourceforge.net/viewvc/smsclictr/automation/>).
    Fix will be part of Update 2.0.1.10.

     
  • Roger

    Roger - 2009-11-26
    • status: pending-fixed --> closed-fixed
     

Log in to post a comment.